Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231638 - bcfg2-server should require pyOpenSSL
Summary: bcfg2-server should require pyOpenSSL
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bcfg2
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-09 17:33 UTC by Konstantin Ryabitsev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-20 16:26:50 UTC


Attachments (Terms of Use)

Description Konstantin Ryabitsev 2007-03-09 17:33:22 UTC
From doc/install.xml:

The Bcfg2 server requires a few more packages. It uses either
FAM or Gamin to coherently cache repository files
and update them when they change. It also requires pyOpenSSL to
use SSL functions.

I can attest that bcfg2-server refuses to start when pyOpenSSL is not installed.

Comment 1 Jeffrey C. Ollie 2007-03-12 14:33:44 UTC
Should the main (client) package require pyOpenSSL too or should that be optional?

Comment 2 Konstantin Ryabitsev 2007-03-20 15:02:22 UTC
The client does not -- just verified that it runs just fine. Only the server, it
would seem.

Comment 3 Jeffrey C. Ollie 2007-03-20 16:26:50 UTC
Fixed in 0.9.2-4


Note You need to log in before you can comment on or make changes to this bug.